# CURRENT_ROLE function

CURRENT_ROLE returns the authorization identifier of the current role. If there is no current role, it returns NULL.

This function returns a string of up to 258 characters. This is twice the length of an identifier (128*2) + 2, to allow for quoting.

#### Syntax

    CURRENT_ROLE

#### Example

    VALUES CURRENT_ROLE

Parent topic: Built-in functions
Related reference
CREATE ROLE statement
SET ROLE statement
DROP ROLE statement
SYSROLES system table